Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.application
Class ModuleDebugConsoleImpl

    java.lang.Object
      java.awt.event.WindowAdapter
          com.mindbright.application.ModuleBaseTerminal
              com.mindbright.application.ModuleDebugConsoleImpl

All Implemented Interfaces:
  java.util.EventListener, MindTermModule, java.lang.Runnable, TerminalMenuListener, java.awt.event.WindowFocusListener, java.awt.event.WindowListener, java.awt.event.WindowStateListener

public class ModuleDebugConsoleImpl
extends ModuleBaseTerminal

Field Summary

Fields inherited from class com.mindbright.application.ModuleBaseTerminal
`mindterm`

Constructor Summary
`ModuleDebugConsoleImpl()`

Method Summary
`protected boolean` | `closeOnDisconnect()`
`protected void` | `doClose()`
`protected java.lang.String` | `getTitle()`
`boolean` | `isAvailable(MindTermApp mindterm)`
`protected ModuleBaseTerminal` | `newInstance()`
`protected void` | `runTerminal(MindTermApp mindterm, TerminalWindow terminal, java.awt.Frame frame, TerminalFrameTitle frameTitle)`

Methods inherited from class com.mindbright.application.ModuleBaseTerminal
`activate, close, connected, description, disconnected, getTerminalMenuHandler, haveMenus, init, run, update, useChaff, windowClosing`

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuleDebugConsoleImpl

    public ModuleDebugConsoleImpl()

Method Detail

### runTerminal

    protected void runTerminal(MindTermApp mindterm,
                               TerminalWindow terminal,
                               java.awt.Frame frame,
                               TerminalFrameTitle frameTitle)

  Specified by:
    `runTerminal` in class `ModuleBaseTerminal`

### closeOnDisconnect

    protected boolean closeOnDisconnect()

  Specified by:
    `closeOnDisconnect` in class `ModuleBaseTerminal`

### getTitle

    protected java.lang.String getTitle()

  Specified by:
    `getTitle` in class `ModuleBaseTerminal`

### doClose

    protected void doClose()

  Specified by:
    `doClose` in class `ModuleBaseTerminal`

### isAvailable

    public boolean isAvailable(MindTermApp mindterm)

### newInstance

    protected ModuleBaseTerminal newInstance()

  Specified by:
    `newInstance` in class `ModuleBaseTerminal`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD